지원 관리 API
개요
지원 관리 API는 사용자의 지원에 필요한 데이터를 조회하는 기능을 제공합니다.
주요기능
- 특정 회원의 지원 데이터 조회: 메모, 이슈 아웃바운드콜 일차, 통화예정일 등
[GET] /v2/users/{userId}/support - 지원 관리 데이터 조회
지원 관리 데이터 조회
지원 관리 데이터를 조회합니다.
- HTTP Method:
GET - 인증: 액세스 토큰 (
accessToken) 필요
Headers
| Header | Type | Description | Required |
|---|---|---|---|
| Authorization | Bearer {accessToken} | 사용자 인증을 통해 발급받은 액세스 토큰 입니다. | ✔ |
Request Body
N/A
Responses
| Http Status Code | 설명 | Error Code(s) |
|---|---|---|
200 OK | 성공 | - |
401 Unauthorized | 인증실패 | - |
404 Not Found | 사용자 또는 프로필을 찾을 수 없음 | - |
500 Internal Server Error | 서버 내부 오류 | - |
200 OK - 성공
{
"userCycleId": 3297,
"userId": 4,
"status": 1,
"name": "홍길동",
"phone": "01012341234",
"startedAt": "2025-11-04T15:11:48+09:00",
"day": 31,
"followUps": [
{
"id": 1,
"title": "1일차",
"status": 4
},
{
"id": 2,
"title": "7일차",
"status": 4
},
{
"id": 3,
"title": "21일차",
"status": 4
},
{
"id": 4,
"title": "마지막 콜",
"status": 1
}
],
"upcomingFollowUp": {
"id": 1,
"title": "1일차",
"status": 4
},
"site": null,
"mdAccount": null
}
| 필드 | 타입 | 설명 |
|---|---|---|
| userCycleId | number | 사용자 cycle ID |
| userId | number | 사용자 ID |
| status | number | 상태 |
| name | number | 상태 |
| phone | string | 휴대전화번호 |
| startedAt | string | 시작일 |
| day | number | 일차 |
| followUps | object | 아웃바운드콜 데이터 |
| upcomingFollowUp | object | 다가오는 아웃바운드 콜 |
| site | string | 처방 병원 정보 |
| mdAccount | string | 병원의 정보 |
401 Unauthorized - 인증 실패
예시: 토큰이 누락된 경우
{
"status": 401,
"code": 40400,
"message": "Unauthorized",
"detail": ""
}
404 Not Found - 찾을 수 없음
예시:
{
"status": 404,
"code": 40400,
"message": "Patient not found",
"detail": ""
}
500 Internal Server Error - 서버 내부 오류
예시: 일반 서버 오류
{
"status": 500,
"code": 40400,
"message": "SERVER_ERROR",
"detail": ""
}